# WoopsiUI::DecorationGlyphButton Class Reference

`#include <decorationglyphbutton.h>`

Inheritance diagram for WoopsiUI::DecorationGlyphButton:

List of all members.

## Public Member Functions
| DecorationGlyphButton (s16 x, s16 y, u16 width, u16 height, char normalGlyph, char clickedGlyph, GadgetStyle *style=NULL)
## Protected Member Functions
virtual void | drawOutline (GraphicsPort *port)
virtual void | drawContents (GraphicsPort *port)
virtual void | drawBorder (GraphicsPort *port)
virtual void | onFocus ()
virtual | ~DecorationGlyphButton ()
| DecorationGlyphButton (const DecorationGlyphButton &decorationGlyphButton)
## Protected Attributes
char | _normalGlyph
char | _clickedGlyph

## Detailed Description

Class representing a button that will display a glyph and form part of another gadget's border decorations. Examples include the screen flip/depth buttons.

## Constructor & Destructor Documentation

WoopsiUI::DecorationGlyphButton::DecorationGlyphButton | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | char | normalGlyph,
|  | char | clickedGlyph,
|  | GadgetStyle * | style = `NULL` |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the button.
  | y | The y co-ordinate of the button.
  | width | The width of the button.
  | height | The height of the button.
  | normalGlyph | Character to display when unclicked.
  | clickedGlyph | Character to display when clicked.
  | style | The style that the button should use. If this is not specified, the button will use the values stored in the global defaultGadgetStyle object. The button will copy the properties of the style into its own internal style object.

virtual WoopsiUI::DecorationGlyphButton::~DecorationGlyphButton | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::DecorationGlyphButton::DecorationGlyphButton | ( | const DecorationGlyphButton & | decorationGlyphButton | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::DecorationGlyphButton::drawBorder | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters:

  | port | The GraphicsPort to draw to.

See also:
  redraw()

Reimplemented from WoopsiUI::Button.

Reimplemented in WoopsiUI::WindowBorderButton.

virtual void WoopsiUI::DecorationGlyphButton::drawContents | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters:

  | port | The GraphicsPort to draw to.

See also:
  redraw()

Reimplemented from WoopsiUI::Button.

Reimplemented in WoopsiUI::WindowBorderButton.

virtual void WoopsiUI::DecorationGlyphButton::drawOutline | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draws the outline of the button.

Parameters:

  | port | Graphics port to draw to.

Reimplemented from WoopsiUI::Button.

virtual void WoopsiUI::DecorationGlyphButton::onFocus | ( |  | ) | `[protected, virtual]`

Redraws the button.

Reimplemented from WoopsiUI::Gadget.

## Member Data Documentation

char WoopsiUI::DecorationGlyphButton::_clickedGlyph`[protected]`

Character to display when clicked

char WoopsiUI::DecorationGlyphButton::_normalGlyph`[protected]`

Character to display when unclicked

The documentation for this class was generated from the following file:

- decorationglyphbutton.h